### Signal

# Gtk.CellArea::add-editable

#### Declaration

    void
    add_editable (
      GtkCellArea self,
      GtkCellRenderer* renderer,
      GtkCellEditable* editable,
      GdkRectangle* cell_area,
      gchar* path,
      gpointer user_data
    )

#### Description [src]

Indicates that editing has started on `renderer` and that `editable` should be added to the owning cell-layouting widget at `cell_area`.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`

#### Parameters

`renderer` | `GtkCellRenderer`
| the `GtkCellRenderer` that started the edited
| Ownership is not transferred to the callee
`editable` | `GtkCellEditable`
| the `GtkCellEditable` widget to add
| Ownership is not transferred to the callee
`cell_area` | `GdkRectangle*`
| the `GtkWidget` relative `GdkRectangle` coordinates where `editable` should be added
| Ownership is not transferred to the callee
`path` | `gchar*`
| the `GtkTreePath` string this edit was initiated for
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string